## Bsoft program

# blevel

### Usage: blevel [options] input.img output.img

Manipulates level masks.
The input image is considered to have multiple integer levels (even for floating point).

### Actions for mask creation:

-invert | Invert density before other operations.
-threshold 1.34 | Generate a level mask from disjoint regions (inverted threshold with -invert).
-bands 250,-1,150,1,30,0 | Banded mask for reciprocal space (pairs of numbers: angstrom,value).
| Band with 0: Not used.
| Band with 1: Use for orientation determination.
| Band with -1: Use for cross-validation.

### Actions for mask modification:

-level 134 | Convert a mask to multiple levels, with the given voxels per level.
-symmetry C5 | Set all symmetry-related segments to the same index.
-color size | Generate a RGBA image (random/size).
-size | Convert level mask to region size map.
-dilate 2 | Dilate the level mask.
-add mask.pif,3 | Add a bilevel mask to the indicated level (default 1).
-select 1,5-7 | Select levels in a multi-level mask.
-voxel 23,241,193 | Select the level including this voxel.
-collapse | Convert a multi-level mask to a binary mask.

### Parameters:

-verbose 1 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 110,50,44 | Origin for the mask (default from input image).

### Input:

-Mask file.img | Template mask to select levels.

### Output:

-Postscript his.ps | Output plot file of level size histogram.

Bsoft version 2.0.3-20180917 (64 bit)